import {
  getPropDefaultsBase
} from "./chunk-LEMT5P3Z.js";
import {
  typographyStyles
} from "./chunk-YW4BJCOL.js";
import {
  applyTypography
} from "./chunk-2C7DZIDY.js";
import {
  __objRest,
  __spreadProps,
  __spreadValues
} from "./chunk-W7FAWX6T.js";

// src/components/typography/base/Btn.tsx
import styled from "@emotion/styled";
import { jsx } from "@emotion/react/jsx-runtime";
function BtnString(props) {
  const _a = getPropDefaults(props), { children } = _a, rest = __objRest(_a, ["children"]);
  return /* @__PURE__ */ jsx(StyledBtn, __spreadProps(__spreadValues({}, rest), { children }));
}
function getPropDefaults(props) {
  return getPropDefaultsBase(props, { as: props.tag || "span" });
}
var StyledBtn = styled.span`
  ${({ theme, size, colorProp }) => applyTypography(theme, "Btn", size, colorProp)}
  ${typographyStyles}
`;

export {
  BtnString,
  getPropDefaults,
  StyledBtn
};
